Subject: Re: [nfsv4] LAYOUT_STATS for NFSv4.2

From: "Matt W. Benjamin" <[email-masked]>
Date: Wed, 30 Apr 2014 16:55:38 -0400 (EDT)

Hi Tom,

Well, what you describe below is exactly what I was thinking of,
yes.

I guess it might take some effort to convince folks of the
value.  Rather than a can of worms, it feels like the way to
keep and take advantage of the generality the operations
already have.

Every layout extension effort we've explored (including metastripe)
includes some variant of that as an extension step.  That's why I
mentioned that from an extension prospective, it's actually LAYOUTGET
that I'd love to have opaque data in, so a client could provide
layout-type specific startup context.  For LAYOUTCOMMIT, already
having typed opaque data is a huge plus for flexibility!

Matt

----- "Thomas Haynes" <[email-masked]> wrote:

> 
> 
> Or the flex files layout type could define structure in the opaque
> field with
> an indicator about whether the LAYOUTCOMMIT meant normal
> semantics or layout type specific semantics.
> 
> 
> But I'd rather not open that can of worms.
> 
> 
> Feel free to try to convince me otherwise!
> 
> 
> Thanks,
> Tom

-- 
Matt Benjamin
The Linux Box
206 South Fifth Ave. Suite 150
Ann Arbor, MI  48104

http://linuxbox.com

tel.  734-761-4689 
fax.  734-769-8938 
cel.  734-216-5309